Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 163252

Summary: Cut down on server group views
Product: Red Hat Network Reporter: Ken Ganong <kganong>
Component: RHN/R&DAssignee: Mike Orazi <morazi>
Status: CLOSED WONTFIX QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: medium Docs Contact:
Priority: medium    
Version: RHN DevelCC: acarter, rhn-bugs
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-10-16 14:55:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ken Ganong 2005-07-14 14:19:37 UTC
Right now, this is the current list of views for server groups.
rhnVisibleServerGroup
rhnServerGroupOverview
rhnVisServerGroupOverview
rhnVisServerGroupOverviewLite
rhnServerGroupOVLiteHelper

rhnVisibleServerGroupMembers
rhnVisServerGroupMembership
rhnServerGroupMembership
rhnUserManagedServerGroups

rhnServiceLineServerGroups

As for the top group, it seems that we only ever want to look at user defined or
non user defined server groups.  This would imply two views, and maybe a third
considering performance.  Right now, rhnVisServerGroupOverviewLite seems to be
our go-to for user defined groups.  We don't seem to actually be using
rhnVisServerGroupOverview at all.  rhnServerGroupOverview currently gives
information about all groups.  However, this doesn't seem logical because we
don't (as far as I know) deal with RHN Management Entitled Servers at the same
time as My Pitiful Database Servers.

Comment 1 Max Spevack 2005-08-29 18:47:58 UTC
mass assign rhn410 QA contact

Comment 2 Brandon Perkins 2007-03-12 16:50:52 UTC
Move to Bugzilla Bug 218517: RHN 510 Hosted Triage Tracker.

Comment 3 Amanda Carter 2008-10-16 14:55:13 UTC
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.